Arch Panel Sheet/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "==Tworzenie skryptów==")
(Created page with "{{Emphasis|Zobacz również:}} API: Architektura i Podstawy tworzenia skryptów FreeCAD.")
Line 71: Line 71:
==Tworzenie skryptów==
==Tworzenie skryptów==


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|Zobacz również:}} [[Arch_API/pl|API: Architektura]] i [[FreeCAD_Scripting_Basics/pl|Podstawy tworzenia skryptów FreeCAD]].


The Panel sheet tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
The Panel sheet tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

Revision as of 17:05, 4 May 2024

Architektura: Arkusz panelu

Lokalizacja w menu
Architektura → Narzędzia panelu → Arkusz panelu
Środowisko pracy
Architektura
Domyślny skrót
P S
Wprowadzono w wersji
0.17
Zobacz także
Panel, Cięcie panelu, Zagnieżdżanie

Opis

Narzędzie to pozwala zbudować arkusz 2D, zawierający dowolną liczbę obiektów Cięcia panelu lub dowolny inny obiekt 2D, taki jak te wykonane za pomocą środowisk Rysunek Roboczy i Szkicownik. Arkusz panelu jest zwykle tworzony w celu rozplanowania cięć, które mają być wykonane przez maszynę CNC. Arkusze te można następnie wyeksportować do pliku DXF.

Powyższy obraz przedstawia wygląd arkuszy paneli po wyeksportowaniu do formatu DXF.

Użycie

  1. Opcjonalnie wybierz jeden lub więcej obiektów Cięcia panelu lub dowolny inny obiekt 2D leżący na płaszczyźnie XY.
  2. Naciśnij przycisk Arkusz panelu lub naciśnij P, a następnie S.
  3. Dostosuj żądane właściwości.

Opcje

  • After the panel sheet is created, with or without child objects, Any other child object can be added/removed to/from the panel sheet by double-clicking it in the tree view and adding or removing objects from its Group folder
  • Double-clicking on the panel in the tree view also allows you to move the objects contained in this sheet, or move its tag
  • It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property
  • Panel Sheets can display a margin, that is useful to make sure a certain space is always present between inner objects and the border of the sheet
  • When Panel sheets are exported to DXF, the outlines, inner holes, tags of their inner children are placed on different layers, as shown on the above image

Properties

Data

  • DANEHeight: The height of the sheet
  • DANEWidth: The width of the sheet
  • DANEFill Ratio: The percentage of the sheet area that is filled by cuts (automatic)
  • DANETag Text: The text to display
  • DANETag Size: The size of the tag text
  • DANETag Position: The position of the tag text. Keep (0,0,0) for automatic center position
  • DANETag Rotation: The rotation of the tag text
  • DANEFont File: The font of the tag text
  • DANEMake Face: If True, the panel is a Part Face, otherwise a Part Wire
  • DANEGrain Direction: This allows you to inform the main direction of the panel fiber (clockwise direction, 0° means up)

View

  • WIDOKMargin: A margin that can be displayed inside the panel border
  • WIDOKShow Margin: Turns the display of the margin on/off
  • WIDOKShow Grain: Shows a fiber texture (Make Face must be set to True)

Tworzenie skryptów

Zobacz również: API: Architektura i Podstawy tworzenia skryptów FreeCAD.

The Panel sheet tool can be used in macros and from the Python console by using the following function:

Sheet = makePanelSheet(panels=[], name="PanelSheet")
  • Creates a Sheet object from panels, which is a list of Arch Panel objects.

Example:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(500, 200)
Polygon = Draft.makePolygon(5, 750)

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2000, 400, 0)
p3 = FreeCAD.Vector(1250, 800, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)

Panel1 = Arch.makePanel(Rect, thickness=36)
Panel2 = Arch.makePanel(Polygon, thickness=36)
Panel3 = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

Cut1 = Arch.makePanelCut(Panel1)
Cut2 = Arch.makePanelCut(Panel2)
Cut3 = Arch.makePanelCut(Panel3)
Cut1.ViewObject.LineWidth = 3
Cut2.ViewObject.LineWidth = 3
Cut3.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Sheet = Arch.makePanelSheet([Cut1, Cut2, Cut3])

Tutorials